Trial-Reset 4.0 Beta 3

Trial-Reset 4.0 Final

Copyright © 2004-2010 The Boss

Trial-Reset is an registry cleaning tool. The main function of Trial-Reset is remove the keys generated by commercial and freeware protector.

Trial-Reset doesn't crack the program but only extends the Trial period.


License

Terms of Use

The SOFTWARE is provided "as is", without any guarantee made as to its suitability or fitness for any particular use. It may contain bugs, so use of this tool is at your own risk. We take no responsibility for any damage that may unintentionally be caused through its use.


System Requirements

Trial-Reset requires a PC running Windows 95/98/ME/NT4/2k/XP/2k3/Vista/2k8/Seven with minimum of 16MB memory and about 1 MB of free hard disk space.

To use this program the VB6 run time and Windows Common Controls ActiveX 6 (MSCOMCTL.OCX) must be installed on your computer.


History

What's new v4.0 Final (Public):

-Fixed auto-backup

-Fixed some minor bugs

What's new v4.0 RC1 (Public):

-Added IntelliLock scanner

-Added Net Reactor scanner

-Added Protexis Licensing scanner

-Added ZXProtector scanner

-Fixed plugins crash on x64 os

-Fixed command line regression

What's new v4.0 beta 3 (Public):

-Added FlexNet scanner (probably works also on SafeCast 2.x)

-Added Nalpeiron scanner

-Added Manco Licensing scanner

-Added support for x64 version of protectors (see WoW64 in options menu)

-Rewrite plugin's interface to be more fast and flexible

-Various user interface improvements and changes

What's new v4.0 beta 2 (Public):

-Fixed memory leak that cause random crash

-Rename NoobyProtect to Safengine Licensor

-Reactivated the scanner progress

-Fixed various regressions

What's new v4.0 beta 1

-Fixed ASProtect scanner for reduce false positive

-Fixed Obsidium scanner and update to new version

-Update WinLicense scanner to support new versions

-Added NoobyProtect scanner

-Fixed Win64 compatibility problems

-Fixed various graphic problem in Windows AERO

-Speed optimization in the file scanner

What's new v3.4 Final (Public):

-Updated support for WinLicense (Ring-0 Protection)

What's new v3.3 (Public):

-Added support for License Protector 2.x

-Updated support for Enigma Protector 1.4x

-Updated support for ActiveMark 6.x

-Minor bugs fixes

What's new v3.2 (Public):

-Updated support for PCGuard 5.02

-Add Autocleaning at Startup

-Fixed ExeCryptor 2.x bug

-Minor bugs fixes

What's new v3.01 Final (Public):

-Fixed graphical problem

What's new v3.0 Final (Public):

-Update Backup command

-Updated support for Obsidium 1.3x

-Minor bugs fixes

What's new v3.0 RC9 (Public):

-Added support for ProActivate 1.x

-Update ASProtect 2.x

-Added Plugin Icon

What's new v3.0 RC8 (Public):

-Added support for NTkrnl Protector 0.x

-Fixed junction loop

-Fix Vista x64 bugs

What's new v3.0 RC7 (Public):

-Added support for eXPressor 1.5x

-Fix Backup command

What's new v3.0 RC6 (Public):

-Added support for WinLicense (test only)

-Fix ASProtect 1.2 bugs

-Tested on Windows Vista Final

What's new v3.0 RC5 (Public):

-Added Plugins support

-Fix Armadillo 4.6x Bugs

-Minor bugs fixes

What's new v3.0 RC4 (Public):

-Fixed some incompatibility with Vista (Vista RC2 build 5744)

-Fix error on clear EncryptPE

-Fixed bugs on backup

-Minor bugs fixes

What's new v3.0 RC3 (Public):

-Update EncryptPE 2006.10.1

-Fix Armadillo Bugs

-Minor changes

What's new v3.0 RC2 (Public):

-Added support for STProtector 1.x

-Updated support for ASProtect 2.3

-Minor bugs fixes

What's new v3.0 RC1 (Public):

-Added support for ProtectShareware 1.x

-Updated Protection Plus 4.2

-Fix Pause command

-Fix ASProtect 1.35/2.2 Bugs

-Added CommandLine Support

-New interface options

-Win9x bugs fixes

What's new v3.0 beta 5 (Public):

-Added support for SafeSerial 2.x

-Fix ASProtect 1.35/2.2 Bug

-Added new function to protect key

-New interface options

What's new v3.0 beta 4 (Public):

-Added support for Xheo Licensing 2.x

-Updated support for ASProtect 1.35/2.2

-Fix ORiEN Bug

-Minor bugs fixes

What's new v3.0 beta 3 (Public):

-Added support for ActiveMark

-Added support for Enigma Protector 1.x

-Native Api Bug fix (Loop)

-Fix ICE-License 2.x

-Added Date/Time Column

-New interface options

What's new v3.0 beta 2 (Public):

-Added support for ORiEN 2.x

-Updated support for SDProtector 1.16

-Updated support for Obsidium 1.3x

-Fix Armadillo 2.x Bugs

-Fix ICE-License 2.x Bugs

What's new v3.0 beta 1 (Public):

-Added support for ICE-License 2.x

-Armadillo 4.x Private Bugs Fix

-New jump to regedit and explorer

-New Auto Backup

-Native Api Bug fix

-Fix ShareGuard Bugs

-Fix SoftLocx Bugs

-Fix Backup command

What's new v2.9 Beta (Public):

-Updated support for Armadillo 4.x Private

-Minor bugs fixes

What's new v2.8 (Public):

-Bug fixes on SDProtector Delete

-New Interface Options

What's new v2.7 (Public):

-Added support for ZipWorx 3.x

-Added support for Native Api

-Added Tray icon

What's new v2.6 (Private):

-Added support for EncryptPe 1.x/2.x

-Added Drag and Drop support

-Bugs fixes (crash windows)

What's new v2.5 (Public):

-New commands load and save list

-New command Add custom key

-Some bugs fixes

What's new v2.2 (Private):

-Added support for Sheriff 2.x

-Update support for Armadillo 4.1x

What's new v2.1 (Public):

-Added support for ExeCryptor 2.x

-Added support for TrialCreator 2.x

What's new v2.0 (Public):

-Update support for Obsidium 1.2.5.0

-Fixed some Win9x Bugs

-Added support for Thinstall 2.x

-Minor bugs fixes

What's new v1.9 (Public):

-Backup compatibility to Win9x

-Improved user interface

-Added support for VBOLock 4.x

-Added support for SGLicense 5.x

-Added support for ShareGuard 2.x

What's new v1.8 Final (Public):

-Fix support for ASProtect 2.x

-Update support for Armadillo 3.7x/4.x

-Added support for Obsidium 1.2

-Added support for 1Way 5.x

-Added support for NoCopy ocx 3.x

What's new v1.7 (Private):

-Increase scan speed (+35%)

-Changed User Interface

-Update support for ExeShield 3.6x

What's new v1.6 (Private):

-Added support for SDProtector 1.x

-Added support for SoftLocx 7.x

What's new v1.5 (Private):

-Added Backup command

-Updated support for Obsidium 1.1

-Added support for Armadillo 1.x

-Added support for ASProtect 0.9x

-Added support for VBox 4.x

-Added support for ASProtect 2.x

-Added support for SoftLocx 6.x

What's new v1.4 (Private):

-Updated support for Armadilo 3.x

-Updated support for PCGuard 5.x

-Added support for DBPE 2.x

-Added support for ExeShield 3.x

-Added support for SoftWrap 6.x

What's new v1.3 (Private):

-Added support for VisualProtect 2.x

-Added support for SoftLocx 5.x

-Added support for Exeshield 2.x

What's new v1.2 (Private):

-Added support for SoftSentry 3.x

What's new v1.1 (Private):

-Changed user interface

-Code optimization

What's new v1.0 (Private):

-Source of EVACleaner


Options Menu

File Menu

Save List | Save the listview items to file
Load List | Load the listview items from file
Refresh Status | Refresh the Data/Time and Status columns
Reset List | Remove all items in the listview
Show Protected List | Show the Protected List form
Show Autocleaning List | Show the Autocleaning List form


Options Menu

Edit Menu

Jump to... | Jump to regedit or to explorer
View Preview | Show the selected item preview
Copy Key Address | Copy the address of selected items to clipboard
Deleter key | Delete selected items (allow multiselect)
Backup Key | Backup selected items (allow multiselect)
Remove from list | Remove selected items from listview (allow multiselect)
Add to Protect List | Add selected items to Protect List (allow multiselect)
Add to Autocleaning List | Add selected items to AutoCleaning List(allow multiselect)
Add Custom Key | Show the form for add custom item to listview


Options Menu

Stay On Top | Make the windows on topmost
Minimize to System Tray | When the program is minimized is moved to system tray
Only One Instance | Allow to use only one instance
Enable Native API | Use NTAPI for delete key with null char
Auto Backup | Make a backup of the keys before delete
Disable Auto-Size List | Disable the Listview column's auto resizing
Disable Date/Time Column | Hide the Date/Time Column
Hide Type Column | Hide the Type column
Show CheckBox | Show the checkbox (like version 3.x)
Disable Clear List Before Scan | Don't clear the listview before start new scan
Save Window Position | Save window position before exit
Hide Keys List Button | Disable the Keys List Button in toolbar
Hide Protect Key | Hide the protect keys during scan
Disable Disk Sector Scan | Disable the disk sector scan
Customize Toolbar | Show the toolbar customization form
Enable Log | Write the internal log on "Trial-Reset.log"
Enable AERO Graphic | Enable some graphic hack for better apparence on AERO
WoW64 (x64 only) | Select the WoW64 mode: -Auto: automatically select scanner to use for 32bit or 64bit (best choice) -32bit: force all scanner to use 32bit registry and filesystem -64bit: force all scanner to use 64bit registry and filesystem -Both: force all scan to use 32bit and 64bit registry and filesystem (complete but slow)
Opacity | Set the window opacity
Toolbar Columns | Select the number of columns for the toolbar's icons (replace the old "Double column" option)
Drive Select | Select the drive to be use in the scanner that analize full disk (like ActiveMark or Sofwrap)
Autocleaning at Startup | Enable: Enable\Disable Autocleaning Delay: Set the startup delay
Priority | Select the process priority
Regedit Jump Mode | Select the mode to use for jump on the regedit Standard: use the standard sendmessage mode (for compatibility problem) Advanced: use a fast jump mode (default mode)
Sort List By | Column to use for sort the listview
Nuke-Stop | Enable the clock freezing for some old time-limited protectors


Command Line

Shortcut Keys

Key | Description
CTRL+S | Save List
CTRL+L | Load List
F5 | Refresh Status
CTRL+X | Reset the list
F6 | Show protect list
F8 | Show startup clear list
F3 | Jump To…
F4 | View Preview
CTRL+C | Copy Address of selected Key
Canc | Clear selected Key
CTRL+B | Backup selected Key
CTRL+R | Remove selected key from list
CTRL+P | Add selected Key to protect list
CTRL+U | Add selected Key to startup clear list
F7 | Add custom Key
Esc | Abort
F1 | Help


Command Line

Syntax: Trial-Reset.exe  [Command]

Command | Description
/ACProtect /ActiveMark /Armadillo /ASProtect /DBPE /EncryptPE /Enigma /EnigmaFull /EXECryptor /ExeShield /eXPressor /FlexNet /ICELicense /IntelliLock /LicenseProtector /MancoLicensing /Nalpeiron /NetReactor /NoCopy /NTkrnlProtector /Obsidium /OneWay /ORiEN /PCGuard /ProActivate /ProtectionPlus /ProtectionPlusFull /ProtectShareware /ProtexisLicensing /SafengineLicensor /SafeSerial /SDProtector /SGLicenser /ShareGuard /Sheriff /SoftLocx /SoftSentry /SoftWrap /STProtector /SVKP /Thinstall /VBOLock /VBox /VisualProtect /WinLicense /XheoLicensing /XProtector /ZipWorx /ZProtect /ZXProtector | Scan the selected protector
/File <FileName> | Load a File
/Plugin <PluginName> | Load a Plugin
/All | Scan all protectors
/Backup | Backup all found keys
/Clear | Clear all found keys
/Silent | Don’t show any windows

Samples:

Trial-Reset.exe /Armadillo /Clear

Trial-Reset.exe /Armadillo /Backup /Clear

Trial-Reset.exe /All /Clear /Silent


Supported Protector

Protectors | Supported Version | Last Version
ACProtect | 1.x/2.x | 2.1.1
ActiveMark | 5.x/6.x | 6.2
Armadillo | 1.x/2.x/3.x/4.x/5.x/6.x/7.x | 7.00
ASProtect | 0.x/1.x/2.x | 1.5/2.5
DBPE | 1.x/2.x | 2.33
EncryptPE | 1.x/2.x | 2.2008.6.10
Enigma | 1.x | 1.79
ExeCryptor | 2.x | 2.41
ExeShield | 2.x/3.x | 4.5.7.1
eXPressor | 1.x | 1.7.0.1
FlexNet | 10.x/11.x | 11.6.0.1
ICE License | 2.x | 2.6.2.1
LicenseProtector | 2.x | 2.7.0.774
Manco Licensing | 5.x | 5.0
Nalpeiron | 4.x/5.x | 5.3.1.0
NoCopy | 3.x | 3.3
NTkrnl Protector | 0.x | 0.15
Obsidium | 1.x | 1.4.0.10
OneWay | 5.x/6.x | 6.35
Orien | 2.x | 2.12
PCGuard | 4.x/5.x | 5.04
ProActivate | 1.x | 1.11
ProtectionPlus | 4.x | 4.5.0.2
ProtectShareware | 1.x | 1.1
Protexis Licensing | 1.x/2.x/3.x | 3.0.2.5
Safengine Licensor | 1.x | 1.7.40
SafeSerial | 2.x | 2.3.9
SDProtector | 1.x | 1.16
SGLicense | 3.x | 3.1
ShareGuard | 2.x/3.x | 4.0
Sheriff | 2.x | 3.0.0.4
SoftLocx | 5.x/6.x/7.x | 7.0
SoftSentry | 3.x | 3.00
SoftWrap | 5.x/6.x | 7.0.0
STProtector | 1.x | 1.5
SVKP | 1.x | 1.44
Thinstall | 2.x | 2.719
VBOLock | 4.x | 4.4.2.12
VBox | 3.x/4.x | 4.6.2
VisualProtect | 2.x/3.x | 3.5.4
Xheo Licensing | 2.x | 2.1.5000.28
XProtector | 1.x | 1.08
WinLicense | 1.x/2.x | 2.1.0.10
ZipWorx | 3.x | 3.0.0.1
ZProtect | 1.4x | 1.4.8.0